#[macro_use]
pub mod create_section {
    macro_rules! impl_from_rarity {
        ($struct_name:ident, $data_type:ty) => {
            impl $struct_name {
                pub fn from_rarity(&self, rarity: crate::items::Rarities) -> $data_type {
                    match rarity {
                        crate::items::Rarities::Common => self.common,
                        crate::items::Rarities::Uncommon => self.uncommon,
                        crate::items::Rarities::Magical => self.magical,
                        crate::items::Rarities::Rare => self.rare,
                        crate::items::Rarities::Epic => self.epic,
                        crate::items::Rarities::Legendary => self.legendary,
                    }
                }
            }
        };
    }
}

pub mod abilities;
pub mod attributes;
pub mod experience;
pub mod items;
pub mod save_game;
